"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fromOrUndefined = exports.from = void 0;

var t = _interopRequireWildcard(require("io-ts"));

var _securitysolutionIoTsUtils = require("@kbn/securitysolution-io-ts-utils");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
const stringValidator = input => typeof input === 'string';

const from = new t.Type('From', t.string.is, (input, context) => {
  if (stringValidator(input) && (0, _securitysolutionIoTsUtils.parseScheduleDates)(input) == null) {
    return t.failure(input, context, 'Failed to parse "from" on rule param');
  }

  return t.string.validate(input, context);
}, t.identity);
exports.from = from;
const fromOrUndefined = t.union([from, t.undefined]);
exports.fromOrUndefined = fromOrUndefined;