"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.kibanaPackageJson = exports.isKibanaDistributable = void 0;

var _path = _interopRequireDefault(require("path"));

var _repo_root = require("../repo_root");

/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
const kibanaPackageJson = { ...require(_path.default.resolve(_repo_root.REPO_ROOT, 'package.json'))
};
exports.kibanaPackageJson = kibanaPackageJson;

const isKibanaDistributable = () => {
  return kibanaPackageJson.build && kibanaPackageJson.build.distributable === true;
};

exports.isKibanaDistributable = isKibanaDistributable;